Search Results for

Show / Hide Table of Contents

# Class TableView.SelectedCellChangedEventArgs

Defines the event arguments for SelectedCellChanged

##### Inheritance

System.Object
System.EventArgs
TableView.SelectedCellChangedEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class SelectedCellChangedEventArgs : EventArgs

### Constructors

#### SelectedCellChangedEventArgs(DataTable, Int32, Int32, Int32, Int32)

Creates a new instance of arguments describing a change in selected cell in a TableView

##### Declaration

    public SelectedCellChangedEventArgs(DataTable t, int oldCol, int newCol, int oldRow, int newRow)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Data.DataTable | t |
System.Int32 | oldCol |
System.Int32 | newCol |
System.Int32 | oldRow |
System.Int32 | newRow |

### Properties

#### NewCol

The newly selected column index.

##### Declaration

    public int NewCol { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### NewRow

The newly selected row index.

##### Declaration

    public int NewRow { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### OldCol

The previous selected column index. May be invalid e.g. when the selection has been changed as a result of replacing the existing Table with a smaller one

##### Declaration

    public int OldCol { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### OldRow

The previous selected row index. May be invalid e.g. when the selection has been changed as a result of deleting rows from the table

##### Declaration

    public int OldRow { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Table

The current table to which the new indexes refer. May be null e.g. if selection change is the result of clearing the table from the view

##### Declaration

    public DataTable Table { get; }

##### Property Value

Type | Description
--- | ---
System.Data.DataTable |